package com.pokkt.demo;

import org.json.JSONException;
import org.json.JSONObject;

import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.Iterator;

/**
 * Created by kanchan on 01/09/17.
 */

public class learn {
    private static HashMap<Long, Long[]> vibrateDataMap = new HashMap<>();//Timing vs Effect Id map

    public static void main(String[] args) {
        String hapticEffect = "{\n" +
                "        \"5000\": \"120, 20, 833, 20, 833\",\n" +
                "        \"15000\": \"0, 100, 80, 100, 80, 100, 80, 100, 80, 100, 80, 100, 80, 100, 80\"\n" +
                "        }";
        try {
            JSONObject hapticJson = new JSONObject(hapticEffect);
            Iterator<String> timeKeys = hapticJson.keys();
            while (timeKeys.hasNext()) {
                String time = timeKeys.next();
                String[] effects = hapticJson.optString(time,"").split(",");
                if(effects.length > 0) {
                    Long[] hapticEffects = new Long[effects.length];

                    for (int i = 0; i < effects.length; i++) {
                        hapticEffects[i] = Long.parseLong(effects[i]);
                    }
                    vibrateDataMap.put(Long.parseLong(time),hapticEffects);
                }
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }


        ReferenceQueue<String> quee = new ReferenceQueue<>();
        String x = new String("hi");
        WeakReference<String> ref1  = new WeakReference<String>(x, quee);
        SoftReference<String> ref = new SoftReference<String>(x, quee);
        PhantomReference<String> ref2 = new PhantomReference<String>(x, quee);
    }
}
